PLAINBOX-SESSION-EXPORT(1)

NAME
plainbox-session-export - (re-)export an existing session

SYNOPSIS

        plainbox session export [-h] [--flag FLAG] [-f FORMAT] [-p OPTIONS] [-o FILE]
                                SESSION-ID

DESCRIPTION

Export a single session

The plainbox session export command allows to export any existing session (that can be still resumed) with any set of exporter / exporter option combinations.

The exported session representation can be printed to stdout (default) or saved to a specified file. You can pass a question mark (?) to both --output-format and --output-options for a list of available values.

OPTIONS

Positional arguments:

    Identifier of the session to export

Optional arguments:

    --flag
        pass this resume flag to the session resume code

    -f=text, --output-format=text
        save test results in the specified FORMAT (pass ? for a list of choices)

        Possible choices: ?, 2013.com.canonical.plainbox::hexr, 2013.com.canonical.plainbox::html, 2013.com.canonical.plainbox::json, 2013.com.canonical.plainbox::rfc822, 2013.com.canonical.plainbox::text, 2013.com.canonical.plainbox::xlsx, xlsx, rfc822, json, xml, html, text

    -p=, --output-options=
        comma-separated list of options for the export mechanism (pass ? for a list of choices)

    -o=-, --output-file=-
        save test results to the specified FILE (or to stdout if FILE is -)

LIMITATIONS

Sessions that cannot be resumed cannot be exported. Two common causes for that are known.

First of all, a session can fail to resume because of missing or changed job definitions. For that you need to re-install the exact same provider version as was available on the machine that generated the session you are trying to work with.

The second case is when a session was copied from another machine and some of the log files are pointing to a different users' account. This can be worked around by providing appropriate symbolic links from /home/some-user/ to /home/your-user/

AUTHOR
Zygmunt Krynicki & Checkbox Contributors

COPYRIGHT
2012-2014 Canonical Ltd